Subject: bug#34710: the mode line flicks on set-window-vscroll

From: Alan Third <[email-masked]>
Date: Mon, 4 Mar 2019 22:45:53 +0000

On Mon, Mar 04, 2019 at 10:07:25PM +0100, Robert Pluim wrote:
> To be clear: the slowness I experience does not seem wholly related to
> redisplay: if I move down in a file using 'C-n', without the buffer
> scrolling, the movement is very slow. Then when it does actually
> update the screen because Iʼve moved point off the bottom, it is again
> slow (by a rough measurement, moving from the top to the bottom of my
> org file using C-v is approximately twice as slow).
> 
> (this is all with 'emacs -Q')
> 
> Iʼve just run another test where I scroll my org file programmatically
> rather than interactively, and then your patch makes no discernable
> difference:
> 
> (benchmark-run 1000
>                (goto-char (point-min))
>                (condition-case nil
>                    (while t
>                      (scroll-up-command))
>                  (error nil)))
>                  
> takes ~15 seconds in both vanilla emacs-26 and with your patch.
> 
> Are there any other tests you'd like me to run? (I know nothing about
> macOS profiling tools)

Thanks for trying. I can’t think of anything to test right now but
I’ll have a think and get back to you.

What sort of hardware are you running on? Are you running Emacs
fullscreen on a 4k display or similar?
-- 
Alan Third